# 3OGC-projects

## Project: Testing Birefringence with 3-OGC events:

#### Step1: 

- [x] Yifan: adding testing parity waveform into pycbc waveform plugin. Done, see [waveform](https://gitlab.aei.uni-hannover.de/yifan.wang/3ogc-projects/-/tree/master/waveform)


#### Step2: 

- [x] Yifan,Alex: run pycbc_inference with parity violation waveform on 3-OGC. Mostly done, results in Atlas: /work/yifan.wang/2-jianyan/allevents

#### Step3:

- [x] Yifan, Alex: Postprocessing (Preliminary comparison) (2021 July)
- Posterior for Amu: https://www.atlas.aei.uni-hannover.de/work/yifan.wang/projects/jianyan/allevents/result/figamu/
- Posterior plots: https://www.atlas.aei.uni-hannover.de/work/stephanie.brown/birefringence/intrinsic/
- Compare with GR: https://www.atlas.aei.uni-hannover.de/work/stephanie.brown/birefringence/compare/

#### Final products (2021 Sep):
Posteriors are in: 
- GW170608 GW190412 GW190707 GW190925 [here](https://www.atlas.aei.uni-hannover.de/work/yifan.wang/projects/jianyan/rerun/others/3ogc-parity_output/html/)

- GW170403 et al. Five events in total (launched six actually, but 190719 run failed). Rerun because the above runs hit the boundary, Amu was not wide enough or used mass1/mass2 parametrization rather than mchirp-q, and so on)   [Posterior](https://www.atlas.aei.uni-hannover.de/work/yifan.wang/projects/jianyan/rerun/170403_6events/3ogc-parity_output/posterior_files/) [html](https://www.atlas.aei.uni-hannover.de/work/yifan.wang/projects/jianyan/rerun/170403_6events/3ogc-parity_output/html/)

- Two BNS events [GW190425](https://www.atlas.aei.uni-hannover.de/work/yifan.wang/projects/jianyan/rerun/BNS/bns-parity_output/html/) and [GW170817](https://www.atlas.aei.uni-hannover.de/work/yifan.wang/projects/jianyan/rerun/BNS/170817html/3._posteriors/3.01_gw170817_124104_dy5k/)

- GW190725 [here](https://www.atlas.aei.uni-hannover.de/work/yifan.wang/projects/jianyan/rerun/BBH/3ogc-parity_output/html/6._config_files/6.01_gw190725_174728/). Rerun because H1 only has data 11s prior to the merger, thus need to make f_lower = 41

- GW190413_134308 [here](https://www.atlas.aei.uni-hannover.de/work/yifan.wang/projects/jianyan/rerun/190413/3ogc-parity_output/html/)(use the default dynesty setting run, because the rwalk2 seems to hit the boundary again). Rerun because the distance in previous run hit the boundary

- Besides the above run, use the results in [here](https://www.atlas.aei.uni-hannover.de/work/yifan.wang/projects/jianyan/allevents/3ogc-parity_output/html/) for the rest of events. Actually, this was the initial attempt, all the above are reruns which are based on drawbacks in this run.

Based on the above six sub-categories, all the posterior files are in `/work/yifan.wang/2-jianyan/final_posterior/*.hdf`. `config` is the configuration files that we are going to release. In the same directory there is a folder `amu_plot` where I plot all the parity_amu parameter 1D posteriors.

----------------
#### Manuscript:

#### References: 
- [O1 and O2 testing birefringence/parity violation of GW](https://arxiv.org/pdf/2002.05668.pdf)
- [LVC's testingGR paper with GWTC2](https://arxiv.org/abs/2010.14529)
### Other ideas: 
- [ ] Parametrized Post-Einstein with IMRPhenomXPHM
- [ ] Multiple events' results correlation

