The waveform for parity violation gravity is computed as following:

We define a redshift related integral as 
```math
\mathrm{intz} = \int_0^{zz}  \frac{1+z}{\sqrt{\Omega_M(1+z)^3+\Omega_\Lambda}} dz
```
where $`\Omega_=0.3075`$ and $`\Omega_\Lambda= 0.691`$, $`zz`$ is the redshift of a particular GW event.

We define another auxiliary variable as 
```math
\mathrm{temp} = M_\mathrm{PV}^{-1} \times \mathrm{intz}  / 10^9 / \mathrm{lal.QE\_SI} \times \mathrm{lal.H\_SI}/(2\pi) \times \pi^2 / \mathrm{lal.H0\_SI}
```
where $`M_\mathrm{PV}^{-1}`$ is in the unit of GeV$`^{-1}`$ and is the primary quantity we want to constrain. lal.QE_SI, lal.H and lal.H0_SI are the charge of the electron, the Planck constant, and the Hubble constant in the SI unit. 

Furthermore there are:
```math
\mathrm{expminus} = e^{-i\times\mathrm{temp}\times f^2} \\
\mathrm{expplus} = 1/\mathrm{expminus} = e^{i\times\mathrm{temp}\times f^2}
```
where $`i`$ is the imaginary number, $`f`$ is the gravitaional wave frequency.

Finally, the plus and cross mode for gravitational waves with parity violation is related to the GR waveform by:
```math
h_+^\mathrm{PV} = (h_+ + ih_\times)*\mathrm{expminus}/2 + (h_+ - ih_\times)*\mathrm{expplus}/2 \\
h_\times^\mathrm{PV} = (h_+ + ih_\times)*\mathrm{expminus}/(2i) - (h_+ - ih_\times)*\mathrm{expplus}/(2i)
```
where $`h_+`$ and $`h_\times`$ are the GR waveform for plus and cross mode of gravitational waves from compact binary coalescence. In this project we use the waveform of IMRPhenomXPHM for $`h_+`$ and $`h_\times`$.
