def gen(**kwds):
    from pycbc.waveform import get_fd_waveform
    import lal
    #print(kwds)

    if 'approximant' in kwds:
        kwds.pop("approximant")
    if kwds['baseapprox'] is None:
        raise ValueError("A base waveform approximant is required.")

    hp, hc = get_fd_waveform(approximant=kwds['baseapprox'], **kwds)
    temp =  kwds['parity_amudistance'] * kwds['distance'] / 1e9 / lal.QE_SI * lal.H_SI * lal.PI * lal.PI / lal.H0_SI       
    hp_parity = hp + hc * temp * hp.sample_frequencies **2
    hc_parity = hc - hp * temp * hp.sample_frequencies **2

    return hp_parity, hc_parity
